
Redmine - Defect #975

Spent time not entered correctly!

2008-04-02 13:20 - Maxim Krušina

Status: Closed Start date: 2008-04-02

Priority: Urgent Due date:  

Assignee:  % Done: 100%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

There is bug when updating ticket: Is user enter spent time with dot between numbers one and half hour (1.5), time as added

correctly. But when user add time with coma (1,5), which is default notation in Czech language, time is not added and whats worst,

there is no warning, so user cannot correct this issue.

We've lost lot of time records due this error ;(

Please, can you fix this ASAP? Regards!

Related issues:

Related to Redmine - Feature #947: Timelog hours field format Closed 2008-03-28

Associated revisions

Revision 1320 - 2008-04-02 21:52 - Jean-Philippe Lang

Accept the following formats for the timelog "hours" field: 1h, 1 h, 1 hour, 2 hours, 30m, 30min, 1h30, 1h30m, 1:30.

Also accept 1,5 for 1.5 hour (closes #975). Note that 1.5 is still equal to 1h30 and not 1h50 (#947).

History

#1 - 2008-04-02 21:57 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1320.
